$link "dosunit.pbu"


'	----------------------------------------------------
'	Open the CHAIN.TXT file and read in the user's data.
'	----------------------------------------------------

open "chain.txt" for input as #1
line input #1, user.number$
line input #1, user.alias$
line input #1, user.real.name$
line input #1, call.sign$
line input #1, user.age$
line input #1, user.sex$            '(M,F)
line input #1, gold.pieces$
line input #1, date.last.call$      '(mm/dd/yy)
line input #1, screen.width$
line input #1, screen.height$
line input #1, security.level$
line input #1, is.sysop$            ' 1 = yes
line input #1, is.cosysop$
line input #1, is.ansi$             ' 1 = yes
line input #1, is.remote$           ' 1 = yes  (else must be local)
line input #1, seconds.left$
line input #1, general.files$
line input #1, data.directory$
line input #1, sysops.log$
line input #1, baud.rate$           'KB=local, 1200=1200, etc
line input #1, com.port$            '1, 2, etc
line input #1, bbs.name$
line input #1, sysop.name$
line input #1, time.user.logged.in$ 'in seconds
line input #1, time.user.has.used$  'in seconds
line input #1, user.ul$             'Kb user has uploaded
line input #1, user.ul.files$       '# files user has uploaded
line input #1, user.dl$             'Kb user has dl
line input #1, user.dl.files$       '# files user has dl
line input #1, parity$              'either 7E1 or 8N1
close #1


'	---------------------------
'	Output a DORINFO1.DEF file.
'	---------------------------

' we want to run a QBBS or RBBS door under WWIV:
stdoutln "    ͻ"
stdoutln "      WWIV Utility ... make DORINFO1.DEF from WWIV's CHAIN.TXT "
stdoutln "                                                               "
stdoutln "           please send improvements to Phil DeWitt @           "
stdoutln "                        the RE/bbs  (703) 590-1441             "
stdoutln "    ͼ"
open "dorinfo1.def" for output as #2
print #2, bbs.name$
sys.last$ = " "
find.space = instr(sysop.name$, " ")
if find.space then
  sys.first$=left$(sysop.name$,find.space-1)
  elseif find.space < len(sysop.name$) then
    sys.last$ = right$(sysop.name$, len(sysop.name$)-find.space)
else
	sys.first$ = sysop.name$  'sysop working with one name
end if
print #2, sys.first$
print #2, sys.last$
if val(is.remote$) = 0 then com.port$ = "0"
print #2, "COM";com.port$
if val(baud.rate$) = 0 then baud.rate$="9600" 'arbitrary local speed
connect$ = baud.rate$+" BAUD,"+mid$(parity$,2,1)+","+left$(parity$,1)+","+right$(parity$,1)
print #2, connect$
print #2, "0"    'network type in RBBS
user.last$ = " "
find.space = instr(user.real.name$, " ")
if find.space then
  user.first$ = left$(user.real.name$,find.space-1)
  if find.space < len(user.real.name$) then
    user.last$ = right$(user.real.name$, len(user.real.name$)-find.space)
  end if
else
	user.first$ = user.real.name$  'only one name for user
end if
print #2, user.first$
print #2, user.last$
print #2, " " 'user's city state -- not used by any known door
print #2, is.ansi$
print #2, security.level$
minutes.left = val(seconds.left$)/60
minutes$ = str$(fix(minutes.left + 0.5))
minutes$ = right$(minutes$,len(minutes$)-1)
print #2, minutes$
close #2
stdoutln "=== DORINFO1.DEF build in current directory ==="


'	--------------------------
'	Output a PCBOARD.SYS file.
'	--------------------------

' we want to run a PCB (v14) door under WWIV
stdoutln "    ͻ"
stdoutln "      WWIV Utility ... make PCBoard.sys file from CHAIN.TXT    "
stdoutln "                                                               "
stdoutln "           please send improvements to Phil DeWitt @           "
stdoutln "                        the RE/bbs  (703) 590-1441             "
stdoutln "    ͼ"
open "pcboard.sys" for random as #2 len = 128
field #2, 128 as contents$
template$="-1 0 0 0  0                                                                                                                     "
user.len = len(user.real.name$)
if user.len > 25 then
  user.real.name$ = left$(user.real.name$, 25)
  user.len = 25
end if
mid$(template$,85,user.len) = user.real.name$
if val(is.remote$) = 0 then com.port$ = "0"
mid$(template$,126,1) = com.port$
baud = val(baud.rate$)
if baud <300 then baud$ = "local" else baud$=right$(str$(baud),5)
mid$(template$,19,5) = baud$  'user connect spped
if baud <300 then baud=9600
baud$ = right$(str$(baud),5)
mid$(template$,14,5) = baud$  'open modem speed
a$="N"
if val(is.ansi$) then a$ = "Y"
if left$(parity$,1) = "7" then a$="7"
mid$(template$,12,1) = a$     'caller graphics mode Y/N/7

find.space = instr(user.real.name$, " ")
if find.space then
  user.first$ = left$(user.real.name$,find.space-1)
else
	user.first$ = user.real.name$  'only one name for user
end if
user.len = len(user.first$)
if user.len > 15 then
  user.first$ = left$(user.first$,15)
  user.len = 15
end if
mid$(template$,26,user.len) = user.first$
minutes.left = fix((val(seconds.left$)/60)+.5)
minim$ = "  "
lset minim$ = mki$(minutes.left)
mid$(template$,110,2) = minim$
lset contents$ = template$
put 2,1
close #2
stdoutln "  === PCBoard.sys file (v14) built ===  "



'	---------------------------
'	Output a CALLINFO.BBS file.
'	---------------------------

stdoutln "    ͻ"
stdoutln "      WWIV Utility ... make WC! CALLINFO.BBS from CHAIN.TXT    "
stdoutln "                                                               "
stdoutln "           please send improvements to Phil DeWitt @           "
stdoutln "                        the RE/bbs  (703) 590-1441             "
stdoutln "    ͼ"
open "callinfo.bbs" for output as #2
print #2, user.real.name$
baud.code = 3
baud.rate = val (baud.rate$)
if baud.rate = 2400 then baud.code = 0
if baud.rate =  300 then baud.code = 1
if baud.rate = 1200 then baud.code = 2
if baud.rate =19200 then baud.code = 4
print #2, baud.code
print #2, " "  'calling from
print #2, security.level$
minutes.left = fix((val(seconds.left$)/60)+.5)
print #2, minutes.left
mode$ = "MONO"
if val(is.ansi$) then mode$ = "COLOR"
print #2, mode$
print #2, " "  ' password
print #2, user.number$
print #2, "0"  ' actually, minutes on-line, but not known!
print #2, "0"  ' actually, to be time entered door in HH:MM
print #2, "0"  ' actually, to be time called in HH:MM
print #2, "ABCD" 'conferences joined
print #2, "0"   ' daily dl file total
print #2, "0"   'max daily dl file limit
print #2, "0"   ' daily dl in Kb
print #2, "0"   ' daily Kb limit
print #2, "123-555-1212" 'user's phone number
print #2, date.last.call$; " 00:01"  'date & time of last call
print #2, "EXPERT"
print #2, "N" 'protocol
print #2, date.last.call$ 'last file search
print #2, "100" '# of sign-ons
print #2, screen.height$
print #2, "1" 'last msg read
print #2, user.ul.files$
print #2, user.dl.files$
print #2, left$(parity$,1)
a$ = "LOCAL"
if val(is.remote$) then
  a$ = "REMOTE"
end if
print #2, a$
if val(is.remote$) = 0 then com.port$ = "0"
print #2, "COM";com.port$
print #2, "01/10/45" 'birthday
if val(baud.rate$) = 0 then baud.rate$ = "9600"
print #2, baud.rate$
close #2
stdoutln "  === WC!  CALLINFO.BBS file built ===  "
end

